return {
  {
    "neovim/nvim-lspconfig",
    dependencies= {},
    config = function()
      require "config.plugins.lsp"
    end,
  },
  {
    "williamboman/mason.nvim",
    dependencies = {},
    opts = function ()
      require "config.plugins.mason"
    end
  },
  {
    "williamboman/mason-lspconfig.nvim",
    dependencies = {},
    config = function()
      require("mason-lspconfig").setup {
        ensure_installed = {
          "lua_ls",
          "tinymist",
          "arduino_language_server",
          "pylsp",
          "texlab",
          "clangd"
        },
      }
    end,
  }
}
